### Signal

# Gtk EventControllerScroll::scroll

since: 4.0

#### Declaration

    gboolean
    scroll (
      GtkEventControllerScroll* self,
      gdouble dx,
      gdouble dy,
      gpointer user_data
    )

#### Description [src]

Signals that the widget should scroll by the amount specified by `dx` and `dy`.

For the representation unit of the deltas, see `gtk_event_controller_scroll_get_unit()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`dx`

  Type: `gdouble`

  X delta.

`dy`

  Type: `gdouble`

  Y delta.

#### Return value

Type: `gboolean`

`TRUE` if the scroll event was handled, `FALSE` otherwise.